semaphore.h File Reference
`#include <tbb/atomic.h>`
`#include "tbb/tbb_stddef.h"`
`#include <semaphore.h>`
Include dependency graph for semaphore.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::internal::semaphore
| Edsger Dijkstra's counting semaphore. More...
class | tbb::internal::binary_semaphore
| binary_semaphore for concurrent monitor More...

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Typedefs

typedef uint32_t | tbb::internal::sem_count_t
| for performance reasons, we want specialized binary_semaphore More...

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.